AbstractResourceException (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.server.exceptions
Class AbstractResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.gcube.resourcemanagement.support.server.exceptions.AbstractResourceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ResourceAccessException, ResourceOperationException, ResourceParameterException

    public class AbstractResourceException

extends Exception

Represents the basic type of exception thrown by functionalities exposed in this library. The reason is to provide an access point for serialization issues (e.g. for GWT based portlets that require additional serialization annotations).

Author:
  Daniele Strollo (ISTI-CNR)
See Also:
  Serialized Form

Constructor Summary
`AbstractResourceException()`
`AbstractResourceException(String message)`
`AbstractResourceException(String message, Throwable cause)`
`AbstractResourceException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractResourceException

    public AbstractResourceException()

### AbstractResourceException

    public AbstractResourceException(String message,
                                     Throwable cause)

### AbstractResourceException

    public AbstractResourceException(String message)

### AbstractResourceException

    public AbstractResourceException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.